Updated: 2011-05-06 Due date:
Affected Flow version:
Subject: Empty a tag ends with /> instead of </a>
Description

When creating a link with no content, the result tag is

<a href="http:///"/>

instead of

<a href="http:///"></a>

or even better (if no url is provided):

<a href=""></a>

Related issues:
related to TYPO3.Fluid - Bug # 10401: f:link.external viewHelper should prepe... Resolved 2010-10-22

Associated revisions
Revision bd18b4f1 - 2011-05-06 11:31 - Sebastian Kurfuerst

[+BUGFIX] Empty a tag ends with /> instead of </a>

Change-Id: Icab2204f464f43716e0e52e7f2dae2133c6404c1
Resolves: #12777

History
#1 - 2011-02-08 09:17 - Georg Ringer

but this is not always the case, e.g. img or meta dont need a closing tag. so there needs to be a special config

#2 - 2011-02-08 09:43 - Xavier Perseguers

Hi Georg,

Where do you see a "special" configuration? I only set an existing attribute for all link tags, that's all. Of course meta or img should not be changed but
I don't change them with my patch.

#3 - 2011-04-11 14:13 - Andreas Kiessling

+1 on reading 
Had that error in the process of localizing an extension, but some labels were still missing.

#4 - 2011-05-06 09:58 - Sebastian Kurfuerst
- Target version set to 1.0 beta 1

#5 - 2011-05-06 10:54 - Sebastian Kurfuerst
- Has patch set to Yes

#6 - 2011-05-06 11:14 - Sebastian Kurfuerst
- Parent task set to #26665

#7 - 2011-05-06 11:18 - Sebastian Kurfuerst
- Tracker changed from Task to Bug
- Parent task deleted (#26665)

#8 - 2011-05-06 11:31 - Sebastian Kurfuerst
- Status changed from New to Under Review
- Assigned To set to Sebastian Kurfuerst

#9 - 2011-05-06 11:31 - Mr. Hudson

Patch set 1 of change Icab2204f464f43716e0e52e7f2dae2133c6404c1 has been pushed to the review server.
It is available at http://review.typo3.org/1940

#10 - 2011-05-06 15:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:bd18b4f133ec106fc4dcebed4a1ca890e7a2c8d2.
